flock Struct Reference

A structure that controls the lock of a file descriptor. More...

`#include <evil_fcntl.h>`

## Data Fields

short int | l_type
| lock type: read, write, ...
short int | l_whence
| type of l_start
off_t | l_start
| starting offset
off_t | l_len
| 0 means end of the file
pid_t | l_pid
| lock owner

## Detailed Description

A structure that controls the lock of a file descriptor.